import type { Mock } from 'vitest';
import type { PublishConfig } from '..';
export declare const upload: Mock<(...args: any[]) => any>;
export declare function runPublish(argv: string): Promise<void>;
type DeepPartial<T> = {
    [P in keyof T]?: T[P] extends Record<any, any> ? DeepPartial<T[P]> : T[P];
};
export declare function testConfig(name: string, args: string, result: DeepPartial<PublishConfig>): void;
export declare function testConfig(name: string, args: string, result: Error | string): void;
export declare function testConfig(name: string, args: string, config: DeepPartial<PublishConfig>, result: DeepPartial<PublishConfig>): void;
export declare function testConfig(name: string, args: string, config: DeepPartial<PublishConfig>, result: Error | string): void;
export {};
